<script language="javascript" src="Modules/localizaciones_jerarquicas/js_localizaciones_jerarquicas.js"></script>
<?php
   include_once('Modules/localizaciones_jerarquicas/localizaciones_jerarquicas.php');

   //Obtenemos las configuraciones establecidas en el módulo de configuracion
   $configuraciones_sucursales = new localizaciones_jerarquicas();
   $abm_sucursales = $configuraciones_sucursales->GetConfiguraciones('AbmSucursales');
   
   $configuraciones_distritos = new localizaciones_jerarquicas();
   $abm_distritos = $configuraciones_distritos->GetConfiguraciones('AbmDistritos');
   
   $configuraciones_zonas = new localizaciones_jerarquicas();
   $abm_zonas = $configuraciones_zonas->GetConfiguraciones('AbmZonas');
   
   if($abm_sucursales == 1)
   {
	   $sucursales = new localizaciones_jerarquicas();
	   $sucursales_array = $sucursales->GetSucursales();
   }
   
   if($abm_distritos == 1)
   {
	   $distritos = new localizaciones_jerarquicas();
	   $distritos_array = $distritos->GetDistritos();
   }   
   
   if($abm_zonas == 1)
   {
	   $zonas = new localizaciones_jerarquicas();
	   $zonas_array = $zonas->GetZonas();
   }
   
   $configuraciones_permisos = new localizaciones_jerarquicas();
   $permisos_array = $configuraciones_permisos->GetPermisosByModulo('Localizaciones Jerárquicas',$_SESSION['operador_sesion']['OperadorMonitorID']);
  
   if($permisos_array["Lectura"]==0){
   		?>
          <div class="notfoundpanel">
            <h3>Acceso denegado!</h3>
            <h4>Usted no posee los permisos necesarios para acceder a esta página</h4>
          </div><!-- notfoundpanel -->
		<?php
   }else{
?>

<div class="pageheader">
  <h2><i class="glyphicon glyphicon-home"></i> Localizaciones Jerárquicas</h2>
  <div class="breadcrumb-wrapper">
    <ol class="breadcrumb">
      <li><a href="index.php">Monitor Web</a></li>
      <li class="active">Localizaciones Jerárquicas</li>
    </ol>
  </div>
</div>

<div class="contentpanel">
<?php if(isset($_SESSION['exito'])){ ?>
	<div class="alert alert-success">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
        <strong>Correcto!</strong><?php echo $_SESSION['exito']; ?>
    </div>
<?php 
	unset($_SESSION['exito']);
}else if(isset($_SESSION['error'])){
?>
	<div class="alert alert-danger">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
        <strong>Error!</strong><?php echo $_SESSION['error']; ?>
    </div>
<?php
	unset($_SESSION['error']);
}

?>
    <div class="row">
       <div class="col-md-12 mb30">
          <!-- Nav tabs -->
          <ul class="nav nav-tabs">
          <?php if($abm_sucursales == 1) {?>
             <li id="tab_sucursal" class="active"><a href="#sucursales" data-toggle="tab"><strong>Sucursales</strong></a></li>
          <?php }?>
          <?php if($abm_distritos == 1) {?>
             <li id="tab_distrito" class="active" ><a href="#distritos" data-toggle="tab"><strong>Distritos</strong></a></li>
          <?php }?>
          <?php if($abm_zonas == 1) {?>
             <li id="tab_zona" class="active"><a href="#zonas" data-toggle="tab"><strong>Zonas</strong></a></li>
          <?php }?>
          </ul>
          <!-- Tab panes -->
          <div class="tab-content mb30">
			  <?php if($abm_sucursales == 1) {?>	
                 <div class="tab-pane active" id="sucursales">
                 		<!-- Grid Sucursal -->	
							<?php include('Modules/localizaciones_jerarquicas/grid_sucursales.php') ?>
                        <!-- Grid Sucursal -->	
                 </div>
              <?php }?> 
              <?php if($abm_distritos == 1) {?>
                 <div class="tab-pane active" id="distritos">
                 		<!-- Grid Distritos -->	
							<?php include('Modules/localizaciones_jerarquicas/grid_distritos.php') ?>
                        <!-- Grid Distritos -->	
                 </div>
              <?php }?>
              <?php if($abm_zonas == 1) {?>   
                 <div class="tab-pane active" id="zonas">
                 		<!-- Grid Zonas -->	
							<?php include('Modules/localizaciones_jerarquicas/grid_zonas.php') ?>
                        <!-- Grid Zonas -->	
                 </div>
              <?php }?> 
          </div>
          <!-- Tab panes -->
       </div>
       <!-- col-md-6 -->
    </div>
    <!-- row -->
</div>
<?php } ?>